package com.cool.store.request.wallet;

import com.cool.store.common.PageBasicInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author suzhuhong
 * @Date 2025/11/19 14:09
 * @Version 1.0
 */
@Data
public class CoolTradeRecodePageRequest extends PageBasicInfo {

    @ApiModelProperty(value = "交易开始时间YYYY-MM-DD HH:MM:SS",required = true)
    private String beginDate;
    @ApiModelProperty(value = "交易结束时间YYYY-MM-DD HH:MM:SS",required = true)
    private String endDate;
    @ApiModelProperty(value = "钱包类型 1.平安 2.网商",required = true)
    private Integer walletType;
    @ApiModelProperty(value = "关键字(账户名称，账户编号，业务系统付款单号，提现银行卡号)",required = true)
    private String keyword;
    @ApiModelProperty(value = "关键字(门店编号，门店名称)",required = true)
    private String storeKeyword;
    @ApiModelProperty(value = "费用科目",required = true)
    private Integer feeItemId;
    @ApiModelProperty(value = "组织ID",required = false,hidden = true)
    private Long orgId;

    public TradeRecodePageRequest convertToTradeRecodePageRequest() {
        TradeRecodePageRequest target = new TradeRecodePageRequest();
        target.setBeginDate(this.getBeginDate());
        target.setEndDate(this.getEndDate());
        target.setWalletType(this.getWalletType());
        target.setKeyword(this.getKeyword());
        target.setStoreKeyword(this.getStoreKeyword());
        target.setFeeItemId(this.getFeeItemId());
        target.setCurrentPage(this.getPageNum());
        target.setPageSize(this.getPageSize());
        return target;
    }

}
